--
-- Getreide transportable .lua 
-- Specialization transportable  Fertilizer
--
-- www.LS-Landtechnik.de
-- @author  LS-Landtechnik.de & DarkMichl
-- @date:		25/11/10
-- @version:	v1.0
-- @copyright:	LS-Landtechnik.de  & DarkMichl



Fertilizer = {};

function Fertilizer.prerequisitesPresent(specializations)
    return true
end;
function Fertilizer:load(xmlFile)
    self.trigger = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.trigger412#index"));
	table.insert(g_currentMission, SprayerFillTrigger:new(self.trigger));
end;

function Fertilizer:delete()
	removeTrigger(self.triggerID);
end;

function Fertilizer:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Fertilizer:keyEvent(unicode, sym, modifier, isDown)
end;

function Fertilizer:update(dt)
end;

function Fertilizer:draw()
end;

